Skip to main content

Get Report

Use this endpoint to get a report by its id.

Available Environments​

https://api.gateway.com.br/core

Endpoint​

  • Method: GET
  • Endpoint: /report/{id}
  • Authentication: Bearer token

Path Params​

NameTypeRequiredDescriptionValidations
idstring (UUID v4)YesReport identifierMust be a valid UUID v4

Request Example​

curl --request GET \
--url https://api.gateway.com.br/core/report/553e8400-e29b-41d4-a716-436251480000 \
--header 'Authorization: Bearer your-jwt-token'

Success Response​

FieldTypeRequiredDescription
idstringYesReport identifier
statusstring (enum)YesReport status (PENDING, PROCESSING, FAILED, PROCESSED)
typestring (enum)YesReport type (TRANSACTION, DEPOSIT, WITHDRAWAL, MED, WALLET, ACCOUNT, ACCOUNT_FINANCIAL_SUMMARY, WALLET_DAILY_BALANCES)
userobjectYesUser data (see Sub-Object User)
originstring (enum)NoReport origin (ADMIN, USER)
filtersobjectYesFilters used in the report (see Sub-Object Filters)
fileobjectNoReport file (see Sub-Object File)
expirationDatestring (ISO)NoFile expiration date
errorMessagestringNoError message
createdAtstring (ISO)YesCreation date
updatedAtstring (ISO)YesLast update date

Sub-Objects​

User​

FieldTypeRequiredDescription
idstringYesUser identifier
namestringYesUser name
emailstringYesUser e-mail

Filters​

FieldTypeRequiredDescription
startDatestringYesStart date of the filter
endDatestringYesEnd date of the filter
storeIdstring (UUID v4)NoStore identifier
userIdstring (UUID v4)NoUser identifier
statusstring[]NoList of statuses applied
paymentMethodstring[]NoPayment methods
acquirerstring[]NoAcquirers of the report

File​

FieldTypeRequiredDescription
keystringYesFile key
isPrivatebooleanYesWhether the file is private
urlstringYesURL to access the file

Response Example​

{
"id": "553e8400-e29b-41d4-a716-436251480000",
"status": "PROCESSED",
"type": "TRANSACTION",
"user": {
"id": "553e8400-e29b-41d4-a716-436251480111",
"name": "Loja Exemplo",
"email": "contato@lojaexemplo.com"
},
"origin": "USER",
"filters": {
"startDate": "2026-03-06T00:00:00.000Z",
"endDate": "2026-03-06T23:59:59.999Z",
"status": ["PAID"],
"paymentMethod": ["PIX"]
},
"file": {
"key": "report-2026-03-06-553e8400-e29b-41d4-a716-436251480000-CSV",
"isPrivate": true,
"url": "signed-url"
},
"expirationDate": null,
"errorMessage": null,
"createdAt": "2026-03-06T12:49:04.681Z",
"updatedAt": "2026-03-06T12:49:04.681Z"
}

Possible Errors​

CodeDescriptionSolution
401Invalid credentialsCheck your credentials
403No permission/authorizationContact support
404Record not foundCheck the id you sent
422Invalid or missing dataCheck the format of the data
422ValidationsContact support
500Internal errorContact support